Package ru.bitel.bgbilling.modules.mobile.server.bean

# Class MobileRequestPushToken

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.mobile.server.bean.MobileRequestPushToken

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class MobileRequestPushToken extends IdContractId
Бин только для передачи данных на пуш сервер

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MobileRequestPushToken()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getToken()`
  `int`
  `getType()`
  Ios или Android
  `void`
  `setComment(String comment)`
  `MobileRequestPushToken`
  `setContractId(int contractId)`
  `MobileRequestPushToken`
  `setId(int id)`
  Устанавливает id объекта
  `void`
  `setToken(String token)`
  `void`
  `setType(int type)`
  Ios или Android

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileRequestPushToken

    public MobileRequestPushToken()

- ## Method Details

  - ### setId

    public MobileRequestPushToken setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### getToken

    public String getToken()

  - ### setToken

    public void setToken(String token)

  - ### setContractId

    public MobileRequestPushToken setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getType

    public int getType()
    Ios или Android

  - ### setType

    public void setType(int type)
    Ios или Android

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)